from pydantic import BaseModel, ConfigDict, Field

class Note(BaseModel):
    model_config = ConfigDict(extra='ignore')

    duration_ticks: int = Field(alias='durationTicks')
    midi: int
    name: str
    ticks: int